Perapera
firefox support

Quick fix for Firefox 43 update

Yes, it’s that time of year again. And I’m not talking about Christmas. Firefox just brought out yet another update which means that the plugins aren’t working again.

We are going to address the issue with Mozilla, but here is a quick fix for now (Thanks Andy!).

“If you feel that you trust all your FF extensions, then you can try the following (AT YOUR OWN RISK) in order to force Perapera to be enabled again.

Go to about:config and enter this in search:
xpinstall.signatures.required

Double-click the value to toggle it to false.

Restart the browser.”

This should get things working again while we get the plugin signed and fix some other problems.

Thanks as always for your support!




Related posts

Earthquakes, China, and FF 4.0

Perapera Chinese 9.0 Finished!

Perapera Chinese 8.0 Submitted!

16 comments

bob hsiang December 18, 2015 at 2:57 am

well, i gave up on Firefox and now use Chrome.

Reply
Mike Kliffer December 22, 2015 at 6:22 am

I cannot get Perapera to work in Firefox 43. The icon is there but it doesn’t change color when I click on it. I changed the value of the “xpinstall.signatures.required” to false, but to no avail. Rocket Chinese tech support claims that Perapera works fine for them in FF 43.

I had better luck with the Chrome version but when Rocket Chinese has a blue background, as with the conversation transcripts, Perapera doesn’t work. If the background is white, it works fine.

Zhong wen works fine in Firefox but it is not as accurate as Perapera, so it is very discouraging not to be able to fully use Perapera in either FF or Chrome.

Any suggestions would be greatly appreciated.

Reply
Andy December 26, 2015 at 9:20 pm

In the Perapera options, try setting the Enable mode to something other than “All browsers.” There’s a bug with that particular mode.

Reply
Hornakkan January 6, 2016 at 6:20 pm

Firefox 43.0.3 : PeraPera Chinese doesn’t show anymore the Chinese-French file in the Dictionaries tab. Downloading again the dictionary doesn’t solve the problem.

Reply
gunbladerq January 7, 2016 at 12:49 pm

Yup, changing the signature setting works. Thanks for the ‘fix’. Haha.

Reply
sv January 8, 2016 at 8:47 pm

no4me:(

Reply
sv January 7, 2016 at 8:42 pm

Error: Could not find or open chineseperakun@gmail.com/dict.sqlite

Reply
sv January 7, 2016 at 8:51 pm

~config=wher??ow2go2fe.ff39’gen?

Reply
sv January 7, 2016 at 9:02 pm

~config=wher??ow2go2fe.ff39’gen?
datinurpost’d’elp2:(

Reply
sv January 7, 2016 at 9:15 pm

dun2fals>nouse:(

Reply
Antonio January 7, 2016 at 10:43 pm

With the latest version published on January the 6th 2016 I get the following error “Error: Could not find or open chineseperakun@gmail.com/dict.sqlite”. I suspect it is associated to the inizialization of the CC-CEDICT dictionary.

Reply
time January 9, 2016 at 6:34 pm

I only see the September 22, 2015 version. Where is the January 6, 2016 one?

Reply
Francis Campbell January 10, 2016 at 5:02 pm Reply
Jeremy January 8, 2016 at 1:50 am

I am getting this message when I try to open Perapera in Firefox 43.0.4:

Error: Could not find or open chineseperakun@gmail.com/dict.sqlite

Reply
Andy January 11, 2016 at 12:31 pm

Try removing the plugin and then installing it again.

Reply

Leave a Comment